org.aspectj.lang.annotation

## Annotation Type AfterThrowing

    @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface AfterThrowing

After throwing advice

Author:
  Alexandre Vasseur

### Optional Element Summary

Optional Elements
`String` `argNames` When compiling without debug info, or when interpreting pointcuts at runtime, the names of any arguments used in the advice declaration are not available.
`String` `pointcut`
`String` `throwing`
`String` `value`

### Element Detail

#### value

    public abstract String value

Returns:
  the pointcut expression where to bind the advice

Default:
  ""

#### pointcut

    public abstract String pointcut

Returns:
  the pointcut expression where to bind the advice, overrides "value" when specified

Default:
  ""

#### throwing

    public abstract String throwing

Returns:
  the name of the argument in the advice signature to bind the thrown exception to

Default:
  ""

#### argNames

    public abstract String argNames

When compiling without debug info, or when interpreting pointcuts at runtime, the names of any arguments used in the advice declaration are not available. Under these circumstances only, it is necessary to provide the arg names in the annotation - these MUST duplicate the names used in the annotated method. Format is a simple comma-separated list.

Returns:
  the argument names (that should match names used in the annotated method)

Default:
  ""